<script>
	export default {
		onLaunch: function() {
			// #ifndef H5 || APP-NVUE || APP-PLUS || APP-PLUS-NVUE
			const updateManager = uni.getUpdateManager();
			updateManager.onUpdateReady(function(res) {
				uni.showModal({
					title: '更新提示',
					content: '新版本已经准备好，是否重启应用？',
					success(res) {
						if (res.confirm) {
							updateManager.applyUpdate();
						}
					}
				});
			});
			// #endif
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	@import './common/common.scss';
</style>

<style>
@tailwind base;
@tailwind components;
@tailwind utilities;
</style>